/// <reference path="../../../../../../../src/@types/@kano/common/index.d.ts" />
import '@kano/styles/typography.js';
import { IRemixSuggestion } from '../../../../remix/remix.js';
import { EventEmitter } from '@kano/common/index.js';
import { KCBriefingFloatingMenu, BriefingFloatingMenu } from '../../briefing/widget/floating-menu.js';
export declare class KCRemixFloatingMenu extends KCBriefingFloatingMenu {
    suggestions: string[];
    selectedSuggestionIndex: number;
    static readonly styles: import("lit-element").CSSResult[];
    renderActions(): import("lit-element").TemplateResult;
    _onExamplesClick(): void;
    renderContent(): import("lit-element").TemplateResult[];
    _onClick(index: number): void;
}
export declare class RemixFloatingMenu extends BriefingFloatingMenu {
    protected suggestions: IRemixSuggestion[];
    protected menuNode?: KCRemixFloatingMenu;
    protected _onDidSelectSuggestion: EventEmitter<IRemixSuggestion>;
    readonly onDidSelectSuggestion: import("@kano/common/index.js").IEvent<IRemixSuggestion>;
    protected _onDidRequestExamples: EventEmitter;
    readonly onDidRequestExamples: import("@kano/common/index.js").IEvent<void>;
    constructor(title: string, suggestions: IRemixSuggestion[]);
    getMenuNode(): KCRemixFloatingMenu;
    deselectSuggestion(): void;
}
